<?php
/**
 * @package    JMyLife
 * @subpackage Components
 * @version    1.0.16
 * @copyright  2009-2010 Jeff Channell
 * components/com_jmylife/views/list/view.html.php
 * @license

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
// imports
jimport( 'joomla.application.component.view' );

/**
 * HTML View class for the JMyLife Component
 *
 * @package    JMyLife
 */

class JmylifeViewList extends JView
{
	function display( $tpl = null )
	{
		$_JMLConfig = JmylifeConfiguration::getInstance();
		// add feed link - since 1.0.8
		if( $_JMLConfig->getInt( 'show_feed_link' ) == 1 )
		{
			$document =& JFactory::getDocument();
			$link = '&format=feed&limitstart=';
			$attribs = array( 'type' => 'application/rss+xml', 'title' => 'RSS 2.0' );
			$document->addHeadLink( JRoute::_( $link.'&type=rss', false ), 'alternate', 'rel', $attribs );
			$attribs = array( 'type' => 'application/atom+xml', 'title' => 'Atom 1.0' );
			$document->addHeadLink( JRoute::_( $link.'&type=atom', false ), 'alternate', 'rel', $attribs );
		}

		// Get data from the model
		$items =& $this->get( 'Data' );
		$pagination =& $this->get( 'Pagination' );
		$categories =& $this->get( 'Categories' );
		$fields =& $this->get( 'Fields' );

		$catid = JRequest::getInt( 'catid', 0 );
		$color = '#'.$_JMLConfig->get( 'story_background' );
		$desc  = $_JMLConfig->get( 'jmylife_desc' );
		if( $catid > 0 )
		{
			// get data for this category
			$database =& JFactory::getDBO();
			$database->setQuery( 'SELECT `description`, `background` FROM `#__jmylife_categories` WHERE `id` = '.$catid.' LIMIT 1' );
			if( $data = $database->loadObject() )
			{
				$color = '#'.$data->background;
				$desc  = $data->description;
			}
		}
		$this->assignRef( 'color', $color );
		$this->assignRef( 'description', $desc );

		// push data into the template
		$this->assignRef( 'items', $items );
		$this->assignRef( 'pagination', $pagination );
		$this->assignRef( 'categories', $categories );
		$this->assignRef( 'fields', $fields );
		// pass-by-reference removed in 1.0.6
		$this->assignRef( 'params', $_JMLConfig );

		JLoader::import('components.com_jmylife.helpers.url', JPATH_ADMINISTRATOR, '');
		$url = JmylifeUrlHelper::getInstance();
		$this->assignRef('urlhelper', $url);

		JLoader::import('components.com_jmylife.helpers.html', JPATH_ADMINISTRATOR, '');
		$html = JmylifeHtmlHelper::getInstance();
		$this->assignRef('html', $html);

		parent::display( $tpl );
	}
}